Properties Methods Events Direct Link

# Class Ext.Updater.defaults

Package: | Ext
Defined In: | UpdateManager.js
Class: | Updater.defaults
Extends: | Object

The defaults collection enables customizing the default properties of Updater

## Public Properties

Property | Defined By
--- | ---
| disableCaching : Boolean True to append a unique parameter to GET requests to disable caching (defaults to false). | Updater.defaults
| indicatorText : String Text for loading indicator (defaults to '<div class="loading-indicator">Loading...</div>'). | Updater.defaults
| loadScripts : Boolean True to process scripts by default (defaults to false). | Updater.defaults
| showLoadIndicator : Boolean Whether or not to show indicatorText during loading (defaults to true). | Updater.defaults
| sslBlankUrl : String Blank page URL to use with SSL file uploads (defaults to Ext.SSL_SECURE_URL if set, or "javascript:false"). | Updater.defaults
| timeout : Number Timeout for requests or form posts in seconds (defaults to 30 seconds). | Updater.defaults

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.